## apertium-crh-tur 0.3.0

=== apertium-tur-0.2.0/dev/verbs/Makefile ===
FILE=VERBS-scraps
all:
	hfst-lexc $(FILE).lexc -o $(FILE).lexc.hfst
	hfst-twolc -i ../../apertium-tur.tur.twol -o $(FILE).twol.hfst
	hfst-compose-intersect -1 $(FILE).lexc.hfst -2 $(FILE).twol.hfst -o $(FILE).gen.hfst
	hfst-invert $(FILE).gen.hfst | hfst-fst2fst -O -o $(FILE).hfst

clean:
	rm *.hfst

## apertium-crh-tur 0.3.0~r83159

=== debian/changelog ===
apertium-crh-tur (0.3.0~r83159-2) unstable; urgency=low

  * debian/cotrol:
    + Updated Vcs-* URLs.
    + Updated Homepage.
    + Updated Standards-Version to 4.1.4
    + Updated Depends.
  * debian/copyright:
    + Use https in URLs.

 -- Kartik Mistry <kartik@debian.org>  Sat, 23 Jun 2018 09:10:21 +0530

apertium-crh-tur (0.3.0~r83159-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #883046)

 -- Kartik Mistry <kartik@debian.org>  Wed, 29 Nov 2017 10:45:39 +0530

=== debian/control ===
Source: apertium-crh-tur
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-crh (>= 0.2.0~r83161),
               apertium-dev (>= 3.4),
               apertium-lex-tools,
               apertium-tur (>= 0.2.0~r83161),
               autotools-dev,
               cg3,
               debhelper (>= 9),
               dh-autoreconf,
               gawk,
               hfst,
               pkg-config (>= 0.21)
Standards-Version: 4.1.4
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-crh-tur.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-crh-tur

Package: apertium-crh-tur
Architecture: all
Depends: apertium (>= 3.4), apertium-lex-tools, cg3, hfst, ${misc:Depends}
Provides: apertium-tur-crh
Conflicts: apertium-tur-crh
Description: Apertium translation data for the Crimean Tatar-Turkish pair
 Data package providing Apertium language resources for translating
 between the Crimean Tatar and Turkish languages.

=== debian/watch ===
version=3
http://sf.net/apertium/apertium-crh-tur-(\d\S+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## apertium-crh-tur 0.3.0

=== debian/changelog ===
apertium-crh-tur (0.3.0-1) unstable; urgency=medium

  [ Tino Didriksen ]
  * New upstream release:
    + The same as 0.3.0~r83159-2, but with bundled apertium-crh 0.2.0 and
      apertium-tur 0.2.0
  * debian/cotrol:
    + Updated Standards-Version to 4.5.1
    + Updated Build-Depends

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Feb 2021 10:48:53 +0530

=== debian/control ===
Source: apertium-crh-tur
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.7.1),
               apertium-lex-tools (>= 0.2.7),
               cg3-dev (>= 1.3.2),
               debhelper-compat (= 13),
               gawk,
               hfst (>= 3.15.1),
               libhfst-dev (>= 3.15.1),
               pkg-config
Standards-Version: 4.5.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-crh-tur.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-crh-tur
Rules-Requires-Root: no

Package: apertium-crh-tur
Architecture: all
Depends: apertium (>= 3.7.1),
         apertium-lex-tools (>= 0.2.7),
         cg3 (>= 1.3.2),
         hfst (>= 3.15.1),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: apertium-tur-crh
Conflicts: apertium-tur-crh
Description: Apertium translation data for the Crimean Tatar-Turkish pair
 Data package providing Apertium language resources for translating
 between the Crimean Tatar and Turkish languages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@

override_dh_auto_test:
	# Disable test for now

override_dh_auto_configure:
	cd $(CURDIR)/apertium-crh-0.2.0 && autoreconf -fi && ./configure
	cd $(CURDIR)/apertium-tur-0.2.0 && autoreconf -fi && ./configure
	dh_auto_configure -- --with-lang1=$(CURDIR)/apertium-crh-0.2.0 --with-lang2=$(CURDIR)/apertium-tur-0.2.0

override_dh_auto_build:
	cd $(CURDIR)/apertium-crh-0.2.0 && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/apertium-tur-0.2.0 && $(MAKE) -j$(NUMJOBS)
	dh_auto_build

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-crh-tur-$1.tar.bz2%" \
    https://github.com/apertium/apertium-crh-tur/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
